Description

In order to test the new copy implementation I have performed some tests by our workspace on copy operation and I've notice that

the copy operation doesn't work properly in development environment but also on production environment.

The behavior is the following in both the environments:

after a copy, if the original file is deleted, the copied file cannot be downloaded because ( I guess ) the copied file has the same id of

the original file. In other words, when a file is copied the id field is not update correctly on the copied file. I think the problem could be

in HL libraries or in the storage-manager libraries. I'm going to perform some check in order to identify the affected component

Related issues:

Related to D4Science Infrastructure - Upgrade #11999: Deploy Home Library pat... Completed Jun 20, 2018 Jun 20, 2018

History

#1 - Jun 19, 2018 12:54 PM - Roberto Cirillo

- Status changed from New to In Progress

#2 - Jun 19, 2018 02:37 PM - Roberto Cirillo

- Status changed from In Progress to Feedback

- Assignee changed from Roberto Cirillo to Lucio Lelii

I've performed some tests on porduction workspace and I can confirm that the storage id of the copied file is the same of the original file.

Now we should understand if the copy operation give the wrong id or if the HL library doesn't take the return value of the copy operation.

Please @lucio.lelii@isti.cnr.it could you check if the id of the copied file is taken correctly by HL after a copy operation? 

#4 - Jun 19, 2018 05:36 PM - Lucio Lelii

- % Done changed from 0 to 100

The problem has been solved, a build against release 4.12 is under execution.

the new configuration is org.gcube.common.home-library-jcr.2-11-5 

#5 - Jun 19, 2018 05:56 PM - Roberto Cirillo

Please @francesco.mangiacrapa@isti.cnr.it  could you add this case on workspace test plan ?

#6 - Jun 19, 2018 06:24 PM - Francesco Mangiacrapa

Roberto Cirillo wrote:

Please @francesco.mangiacrapa@isti.cnr.it  could you add this case on workspace test plan ?

 I just updated the testing plan adding above use case. You can see it at: #6, #6.3 and #6.4 in the testing plan (https://goo.gl/ZaXgWe)

#7 - Jun 20, 2018 11:14 AM - Roberto Cirillo

- Assignee changed from Lucio Lelii to Massimiliano Assante

Thanks @francesco.mangiacrapa@isti.cnr.it 
Please @massimiliano.assante@isti.cnr.it could you deploy the new jar on the production portals?

The new maven coordinates are the following:

<dependency>

  <groupId>org.gcube.common</groupId>

  <artifactId>home-library-jcr</artifactId>

  <version>2.11.5-4.12.0-169333</version>

</dependency>

#8 - Jun 20, 2018 02:38 PM - Massimiliano Assante

- Related to Upgrade #11999: Deploy Home Library patch on Infra Gateways for fixing Incident 11988 added

#9 - Jun 20, 2018 02:54 PM - Massimiliano Assante

the patch has been deployed please test the workspace https://services.d4science.org/group/d4science-services-gateway/workspace

#10 - Jun 20, 2018 02:59 PM - Roberto Cirillo

- Status changed from Feedback to Closed

The test has been passed. I'm going to close this ticket. Thanks.
